#include "canvas/BackGroundColors.hpp"

Color BackGroundColors::backGroundColor;
Color BackGroundColors::MountenColor1;
Color BackGroundColors::MountenColor2;
Color BackGroundColors::MountenColor3;

void BackGroundColors::setColor(int color, int time)
{
  if (color == 3)
  {
    backGroundColor = {21, 34, 56, 255};
    MountenColor1 = {28, 28, 38, 255};
    MountenColor2 = {21, 21, 27, 255};
    MountenColor3 = {17, 17, 20, 255};
    return;
  }

  Color colors[3][4][4] = {
      {
          {
              {90, 60, 60, 255},
              {118, 91, 91, 255},
              {154, 131, 131, 255},
              {193, 161, 161, 255},
          },
          {
              {90, 60, 60, 255},
              {118, 91, 91, 255},
              {154, 131, 131, 255},
              {193, 161, 161, 255},
          },
          {
              {70, 40, 40, 255},
              {98, 71, 71, 255},
              {134, 111, 111, 255},
              {173, 141, 141, 255},
          },
          {
              {60, 30, 30, 255},
              {88, 61, 61, 255},
              {124, 101, 101, 255},
              {163, 131, 131, 255},
          },
      },
      {
          {
              {103, 88, 51, 255},
              {148, 127, 73, 255},
              {186, 159, 92, 255},
              {163, 154, 132, 255},
          },
          {
              {103, 88, 51, 255},
              {148, 127, 73, 255},
              {186, 159, 92, 255},
              {163, 154, 132, 255},
          },
          {
              {83, 68, 31, 255},
              {128, 107, 53, 255},
              {166, 139, 72, 255},
              {143, 134, 112, 255},
          },
          {
              {73, 58, 21, 255},
              {118, 97, 43, 255},
              {156, 129, 62, 255},
              {133, 124, 102, 255},
          },
      },
      {
          {
              {77, 84, 99, 255},
              {104, 126, 144, 255},
              {152, 219, 206, 255},
              {213, 240, 235, 255},
          },
          {
              {81, 58, 36, 255},
              {111, 98, 78, 255},
              {180, 148, 119, 255},
              {200, 165, 133, 255},
          },
          {
              {67, 44, 22, 255},
              {97, 84, 64, 255},
              {166, 134, 105, 255},
              {186, 151, 119, 255},
          },
          {
              {46, 23, 1, 255},
              {76, 63, 43, 255},
              {145, 113, 84, 255},
              {165, 130, 98, 255},
          },
      },
  };

  backGroundColor = colors[color][0][time];
  MountenColor1 = colors[color][1][time];
  MountenColor2 = colors[color][2][time];
  MountenColor3 = colors[color][3][time];
}